JavaScript API Reference
Class Index | File Index

## Classes

- wm
- wm.Bounds
- wm.Component
- wm.Container
- wm.Control
- wm.DataGrid
- wm.DataGridColumn
- wm.Dijit
- wm.expression
- wm.LiveForm
- wm.LiveVariable
- wm.LiveView
- wm.MavericksModel
- wm.NavigationCall
- wm.NavigationService
- wm.Object
- wm.Panel
- wm.Service
- wm.ServiceVariable
- wm.Variable

# Class wm.Service

Extends wm.Component.
Defined in: Service.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| wm.Service() Component that can be configured to perform a task.

Property Summary
Property Attributes | Property Name and Description
--- | ---
Note: to support bindings it is recommend that you use the getValue/setValue API to access or modify properties.
| error Error data (if any) returned from the last invocation.
| result Result data (if any) returned from the last invocation.

Fields borrowed from class wm.Component:
  name, owner

Method Summary
Method Attributes | Method Name and Description
--- | ---
| invoke(inMethod, inArgs) Invoke a method on this service object with arguments.
| onError(inError) Event that fires after a service invocation has resulted in an error.
| onResult(inResult) Event that fires after a succesful service invocation.

Methods borrowed from class wm.Component:
  constructor, createComponent, destroy, getId, getRuntimeId
Methods borrowed from class wm.Object:
  extendSchema, getPropertyType, getPropFlags, getValue, listDataProperties, listProperties, setValue, toString

Class Detail
wm.Service()
Component that can be configured to perform a task.
Report errata or suggestions for Service.
Property Detail
Note: to support bindings it is recommend that you use the getValue/setValue API to access or modify properties.
error
Error data (if any) returned from the last invocation.
Report errata or suggestions for error.

result
Result data (if any) returned from the last invocation.
Report errata or suggestions for result.
Method Detail
{dojo.Deferred} invoke(inMethod, inArgs)
Invoke a method on this service object with arguments.
Invocations may be asynchronous. Responses are available via the returned Deferred object or from the onResult and onError events.

Parameters:
{String} inMethod
  The method to invoke on this object.
{Array} inArgs
  An array of parameters for the method.

Returns:
  {dojo.Deferred} Response handler object.

Report errata or suggestions for invoke.

onError(inError)
Event that fires after a service invocation has resulted in an error.

Parameters:
{Any} inError
  Any error data returned from the service.

Report errata or suggestions for onError.

onResult(inResult)
Event that fires after a succesful service invocation.

Parameters:
{Any} inResult
  Any result data returned from the service.

Report errata or suggestions for onResult.

Documentation generated by JsDoc Toolkit 2.0.1 on Wed Jun 03 2009 13:28:38 GMT-0700 (PDT)